1. Delivery report
PressOne eSIM Developer Platform
  • OVERVIEW
    • Introduction
    • Attribute descriptions
    • FAQ
    • User journeys
      • Top-up Journey
      • Purchase Journey
    • Guides
      • eSIM installation methods for API Partners
      • How to generate the QR code for an eSIM
  • REST API
    • Data / Data + Voice + SMS eSIM
      • Introduction
      • Error handling
      • Endpoints
        • Authenticate
          • Get token information
          • Refresh access token
          • Request access token
        • Check balance
          • Get balance
        • Compatible devices
          • Get compatible device lite list
        • Browse packages
          • Get packages
        • Place order
          • Submit order
        • Manage orders
          • Get order list
          • Get order
        • Manage eSIMs
          • Get eSIM by ICCID
          • Get eSIMs list
          • Get eSIM package history
        • Install eSIM
          • Get installation instructions
        • Monitor usage
          • Get usage (data, text & voice)
        • Place top up order
          • Get top-up package list
          • Submit top-up order
    • Voice-only eSIM
      • Getting Started
      • Error handling
      • Endpoints
        • List Available Numbers
        • Claim Number
        • Renew Number
        • List User
    • SMS
      • Introduction
      • Authentication
      • Conventions
        • Response envelope
        • Errors
        • Rate limits
        • Idempotency
        • Date ranges & timezone
        • Pagination
      • Endpoints
        • Send an SMS
          • Send SMS /api/sms/send
        • List message logs
          • List message logs /api/sms/logs
        • Get statistics
          • Get statistics /api/sms/statistics
        • Export logs (CSV)
          • Export logs (CSV) /api/sms/export
        • Analytics
          • Overview
            • Overview /api/sms/analytics/overview
          • Message volume
            • Message volume /api/sms/analytics/message-volume
          • Delivery status distribution
            • Delivery status distribution /api/sms/analytics/delivery-status
          • Delivery report
            • Delivery report - /api/sms/analytics/delivery-report
              GET
        • Check wallet balance
          • Check wallet balance /api/sms/balance
        • Send an OTP
          • Send an OTP /api/sms/otp/send
        • Verify an OTP
          • Verify an OTP /api/sms/otp/verify
      • Delivery webhooks
        • Delivery webhooks
      • Message lifecycle & statuses
        • Message lifecycle & statuses
      • Appendix: message object
        • Appendix: message object
  1. Delivery report

Delivery report - /api/sms/analytics/delivery-report

Developing
GET
/api/sms/analytics/delivery-report
Lifetime delivery summary plus a monthly trend for a year. Query param: year
(optional, e.g. 2026; defaults to the current year).
Success — 200 OK
{
  "success": true,
  "message": "Delivery report fetched successfully",
  "data": {
    "summary": {
      "successfully_delivered": 14820,
      "pending_delivery": 320,
      "failed_rejected": 410
    },
    "monthly_trend": [
      { "month": "January", "total": 1200, "delivered": 1150, "failed": 30, "sent_pending": 20, "delivery_rate": 95.83 },
      { "month": "February", "total": 1100, "delivered": 1060, "failed": 25, "sent_pending": 15, "delivery_rate": 96.36 }
    ]
  }
}
summary is all-time; monthly_trend covers the requested year. delivery_rate is a percentage.

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://prod.your-api-server.com/api/sms/analytics/delivery-report?year=undefined' \
--header 'x-api-key: {{x-api-key}}'
Response Response Example
{
  "success": true,
  "message": "Delivery report fetched successfully",
  "data": {
    "summary": {
      "successfully_delivered": 14820,
      "pending_delivery": 320,
      "failed_rejected": 410
    },
    "monthly_trend": [
      { "month": "January", "total": 1200, "delivered": 1150, "failed": 30, "sent_pending": 20, "delivery_rate": 95.83 },
      { "month": "February", "total": 1100, "delivered": 1060, "failed": 25, "sent_pending": 15, "delivery_rate": 96.36 }
    ]
  }
}
Modified at 2026-06-23 09:42:39
Previous
Delivery status distribution /api/sms/analytics/delivery-status
Next
Check wallet balance /api/sms/balance
Built with